<div class="wrap">
	<h1><?php esc_html_e( 'Surv Settings', 'survform' ); ?></h1>
	<form method="post" action="options.php" novalidate="novalidate">
		<?php
		  settings_fields( 'surv_option_group' );
          do_settings_sections( 'surv_option_group' );
        ?>

      <table class="form-table" role="presentation">
        	<thead><h2 class="surv-table-title"><?php esc_html_e( 'Send Survey Result To Your Inbox', 'survform' ); ?></h2>
        		<p class="surv-desc"><?php echo esc_html__( 'If you want to receive survey data via your email, please enable the following option, and we strongly you set up SMTP service with Post SMTP Mailer/Email Log plugin and MailGun or SendGrid Email service.', 'survform' ); ?>
        			<a href="https://wordpress.org/plugins/post-smtp/" target="_blank">Post SMTP Mailer Plugin</a> | <a href="https://mailgun.com" target="_blank">MailGun</a>
        		</p></thead>
			<tbody>
				<tr>
					<th scope="row"><label><?php esc_html_e( "Send Mail?", "survform" ); ?></label></th>
					<td><?php Surv_Admin::checkbox( 'surv_send_mail', get_option('surv_send_mail') ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "Receiver Email", "survform" ); ?></label></th>
					<td><?php Surv_Admin::email( 'surv_receiver_email', get_option('surv_receiver_email'), false ); ?>
					<p class="surv-desc"><?php echo esc_html__( 'Please set an Email address which is different from your site admin mail.', 'survform' ); ?></p>
					</td>
				</tr>

				<tr>
					<th scope="row"><?php submit_button('Save Change');?></th>
				</tr>
			</tbody>
		</table>

		<hr />

		<table class="form-table" role="presentation">
				<thead><h2 class="surv-table-title"><?php esc_html_e( 'Redirection Setting On Done Screen', 'survform' ); ?></h2></thead>
				<tbody>
					<tr>
						<th scope="row"><label><?php esc_html_e( "Back Button Text", "survform" ); ?></label></th>
						<td><?php Surv_Admin::text( 'surv_final_back_text', get_option('surv_final_back_text'), false, true ); ?>
						<p class="surv-desc"><?php echo esc_html__( 'The default text is "Back to home"', 'survform' ); ?></p>
						</td>
					</tr>

					<tr>
						<th scope="row"><label><?php esc_html_e( "Redirect URL After Done", "survform" ); ?></label></th>
						<td><?php Surv_Admin::text( 'surv_final_redirect_url', get_option('surv_final_redirect_url'), false, true ); ?>
						<p class="surv-desc"><?php echo esc_html__( 'Don\'t forget https:// or http://, if leave it empty, the back button will be hidden on the done screen.', 'survform' ); ?></p>
						</td>
					</tr>

					<tr>
						<th scope="row"><?php submit_button('Save Change');?></th>
					</tr>
				</tbody>
	</table>

		<hr/>

		<table class="form-table" role="presentation">
			<thead><h2 class="surv-table-title"><?php esc_html_e( 'Text & Messages', 'survform' ); ?></h2></thead>
			<tbody>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't answer the question", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_text', get_option('surv_text_enter_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered the email", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_email', get_option('surv_text_enter_email'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered a invalid email", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_valid_email', get_option('surv_text_enter_valid_email'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered a password", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_password', get_option('surv_text_enter_password'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When a password is weak", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_strong_password', get_option('surv_text_enter_strong_password'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered the URL", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_url', get_option('surv_text_enter_url'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered a valid URL", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_valid_url', get_option('surv_text_enter_valid_url'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user haven't entered the username", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_enter_username', get_option('surv_text_enter_username'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The title of ’Almost have done‘ screen", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_almost_have_done_title', get_option('surv_text_almost_have_done_title'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The placeholder text in username field of the login form", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_login_username_placeholder', get_option('surv_text_login_username_placeholder'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The placeholder text in password field of the login form", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_login_password_placeholder', get_option('surv_text_login_password_placeholder'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The placeholder text in email field of the register form", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_register_email_placeholder', get_option('surv_text_register_email_placeholder'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The title of the login form section", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_login_form_title', get_option('surv_text_login_form_title_placeholder'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The title of the register form section", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_register_form_title', get_option('surv_text_register_form_title_placeholder'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The login button text", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_login_button_text', get_option('surv_text_login_button_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The register button text", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_register_button_text', get_option('surv_text_register_button_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The login link text", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_login_link_text', get_option('surv_text_login_link_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "The create an account link text", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_register_link_text', get_option('surv_text_register_link_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "Submit screen title", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_submit_screen_title', get_option('surv_text_submit_screen_title'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "Submit Button Text", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_submit_button_text', get_option('surv_text_submit_button_text'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "Success screen title", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_success_screen_title', get_option('surv_text_success_screen_title'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><label><?php esc_html_e( "When the user select more than the limit number of checkbox choices", "survform" ); ?></label></th>
					<td><?php Surv_Admin::text( 'surv_text_exceed_max_choices', get_option('surv_text_exceed_max_choices'), false, true ); ?></td>
				</tr>

				<tr>
					<th scope="row"><?php submit_button('Save Change');?></th>
				</tr>
			</tbody>
		</table>
	</form>

</div>
