<?php
/**
 * Ajax Login & Register Functions
 *
 * @package SurvForm
 * @since   1.0.0
 */

add_action( "wp_ajax_surv_login", "surv_login" );
add_action( "wp_ajax_nopriv_surv_login", "surv_login" );
function surv_login(){
	$creds = array();
    $creds['user_login'] = $_REQUEST['user_login'];
    $creds['user_password'] = $_REQUEST['password'];
    $creds['remember'] = true;
    $user = wp_signon( $creds, false );
    if ( is_wp_error( $user ) ){
        echo json_encode( array(
        	'user_id' => null,
        	'message' => esc_html__( 'The username or password is incorrect, please try again.', 'survform' )
        ) );
    } else {
        echo json_encode( array(
        	'user_id' => $user->ID,
        	'message' => esc_html__( 'Success!', 'survform' )
        ) );
    }

    wp_set_auth_cookie( $user->ID, true );

    die();
}

add_action( "wp_ajax_surv_register", "surv_register" );
add_action( "wp_ajax_nopriv_surv_register", "surv_register" );
function surv_register(){

	$email = $_REQUEST['email'];
	$password = $_REQUEST['password'];

	if( ! username_exists( $email ) && ! email_exists( $email ) ) {
		$user_id = wp_create_user ( $email, $password, $email );
		wp_update_user( array( 'ID' => $user_id ) );
		$user = new WP_User( $user_id );
		$user->set_role( 'subscriber' );
		wp_mail( $email, esc_html__('Your account is created successfully on','survform') . ' ' .get_bloginfo('name'), esc_html__('Hi! Thanks for signed up on our website, now your account is created successfully! The username is ' . $email . '. <p>' . get_bloginfo('name') . '</p>', 'survform' ) );
		wp_set_current_user ( $user_id );
    	wp_set_auth_cookie( $user_id, true );
    	echo json_encode( array(
    		'user_id' => $user_id,
            'status'  => 'success',
    		'message' => esc_html__( 'Success!', 'survform' )
    	) );
	}else{
		echo json_encode( array(
        	'user_id' => null,
            'status'  => 'failed',
        	'message' => esc_html__( 'This email address is already been used, please change another email address.', 'survform' )
        ) );
	}

    die();
}